#! /bin/sh

#sudo /usr/bin/arping $* 2>&1

#
# -i : interface
# -c : count of packets
# -s : start or stop capturing
# -d : detailed view: on or off

IFACE=""
TYPE=""
NET=""
COUNT="0"

STATE=""

TCPDUMP="/usr/sbin/tcpdump"
ARGS=""

OUT_FILE="/tmp/ipx_data"

SHOW_HELP=""


show_help() 
{
  cat << EOF
usage:

start_capture.sh -c <count> -i <iface> -s <state> -d <detailed>

	* <count>    -- count of packets (0 for infinite)
	* <iface>    -- network interface to capture on
	* <state>    -- start or stop.
	* <detailed> -- on or off detailed view

EOF
}


while getopts 'i:c:h:s:d:' OPTION
do
	case $OPTION in
	i)	IFACE=$OPTARG
		;;
	c)	COUNT=$OPTARG
		;;
	s)      STATE=$OPTARG
		;;
	d)	DETAILED=$OPTARG
		;;
	h)	SHOW_HELP="yes"
		;;
	esac
done

if [ ! -z $SHOW_HELP ]; then
  show_help
  exit 0
fi

if [ $COUNT -ne 0 ]; then
	ARGS="$ARGS -c $COUNT"
fi

if [ -z $IFACE ]; then
	exit 1
fi

if [ x"$DETAILED" = xon ]; then
  ARGS="$ARGS -X -e"
fi

ARGS="$ARGS -i $IFACE"


exec $TCPDUMP $ARGS ipx

